aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/check_style.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/check_style.sh')
-rwxr-xr-xscripts/check_style.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/check_style.sh b/scripts/check_style.sh
new file mode 100755
index 00000000..a8557a54
--- /dev/null
+++ b/scripts/check_style.sh
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+
+REPO_ROOT="$(dirname "$0")"/..
+
+(
+cd $REPO_ROOT
+WHITESPACE=$(git grep -n -I -E "^.*[[:space:]]+$" | grep -v "test/libsolidity/ASTJSON\|test/compilationTests/zeppelin/LICENSE")
+
+if [[ "$WHITESPACE" != "" ]]
+then
+ echo "Error: Trailing whitespace found:" >&2
+ echo "$WHITESPACE" >&2
+ exit 1
+fi
+)
+
+(
+cd $REPO_ROOT
+FORMATERROR=$(
+(
+git grep -nIE "\<(if|for)\(" -- '*.h' '*.cpp'
+git grep -nIE "\<if\>\s*\(.*\)\s*\{\s*$" -- '*.h' '*.cpp'
+) | egrep -v "^[a-zA-Z\./]*:[0-9]*:\s*\/(\/|\*)" | egrep -v "^test/"
+)
+
+if [[ "$FORMATERROR" != "" ]]
+then
+ echo "Error: Format error for if/for:" >&2
+ echo "$FORMATERROR" >&2
+ exit 1
+fi
+)